Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.sql
Interface Joins

All Known Subinterfaces:
  PathJoins

All Known Implementing Classes:
  SelectImpl, SelectImpl.SelectResult

    public interface Joins

Tracks joins made when traversing relations in a select.

Author:
  Abe White

Method Summary
`Joins` | `crossJoin(Table localTable, Table foreignTable)` Perform a cross join on the given tables.
`String` | `getCorrelatedVariable()` Return correlated variable name
`boolean` | `isEmpty()` Whether we have any joins.
`boolean` | `isOuter()` Whether this joins path results in outer joins.
`Joins` | `join(ForeignKey fk, boolean inverse, boolean toMany)` Join the columns of the given foreign key.
`Joins` | `joinRelation(String name, ForeignKey fk, ClassMapping target, int subclasses, boolean inverse, boolean toMany)` Join the columns of the given foreign key, which represents a relation via the given field name.
`void` | `moveJoinsToParent()` Move joins that belong to subquery's parent
`Joins` | `outerJoin(ForeignKey fk, boolean inverse, boolean toMany)` Join the columns of the given foreign key.
`Joins` | `outerJoinRelation(String name, ForeignKey fk, ClassMapping target, int subclasses, boolean inverse, boolean toMany)` Join the columns of the given foreign key, which represents a relation via the given field name.
`Joins` | `setCorrelatedVariable(String var)` Set the correlated variable name being traversed into with the next join.
`Joins` | `setJoinContext(Context context)` Set subquery context when traversing into the next join is in transition from parent context to subquery.
`Joins` | `setSubselect(String alias)` Set the subquery alias.
`Joins` | `setVariable(String var)` Set the variable name being traversed into with the next join.

Method Detail

### isEmpty

    boolean isEmpty()

  Whether we have any joins.

### isOuter

    boolean isOuter()

  Whether this joins path results in outer joins.

### crossJoin

    Joins crossJoin(Table localTable,
                    Table foreignTable)

  Perform a cross join on the given tables.

### join

    Joins join(ForeignKey fk,
               boolean inverse,
               boolean toMany)

  Join the columns of the given foreign key.

### outerJoin

    Joins outerJoin(ForeignKey fk,
                    boolean inverse,
                    boolean toMany)

  Join the columns of the given foreign key.

### joinRelation

    Joins joinRelation(String name,
                       ForeignKey fk,
                       ClassMapping target,
                       int subclasses,
                       boolean inverse,
                       boolean toMany)

  Join the columns of the given foreign key, which represents a relation via the given field name.

### outerJoinRelation

    Joins outerJoinRelation(String name,
                            ForeignKey fk,
                            ClassMapping target,
                            int subclasses,
                            boolean inverse,
                            boolean toMany)

  Join the columns of the given foreign key, which represents a relation via the given field name.

### setVariable

    Joins setVariable(String var)

  Set the variable name being traversed into with the next join.

### setSubselect

    Joins setSubselect(String alias)

  Set the subquery alias.

### setJoinContext

    Joins setJoinContext(Context context)

  Set subquery context when traversing into the next join is in transition from parent context to subquery.

  Parameters:
    `context` -

### setCorrelatedVariable

    Joins setCorrelatedVariable(String var)

  Set the correlated variable name being traversed into with the next join.

### getCorrelatedVariable

    String getCorrelatedVariable()

  Return correlated variable name

  Returns:

### moveJoinsToParent

    void moveJoinsToParent()

  Move joins that belong to subquery's parent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.